logo
down
shadow

How to use objects from a later version of Sencha ExtJS?


How to use objects from a later version of Sencha ExtJS?

By : user2949201
Date : November 16 2020, 06:23 AM
help you fix your problem Generally, you cannot just take a class (file) from a newer version and replace with it the corresponding class in the older version. It is very likely that methods were not only added but some may be removed, still required by the older version, signatures (arguments with which to call methods) may have changed, html markup could also be changed, etc.
What you can do is to study the method in new class and add it manually to the existing one in the form of an extension or override.
code :


Share : facebook icon twitter icon
How to display nested objects in a GridPanel in ExtJS (and Sencha architect)?

How to display nested objects in a GridPanel in ExtJS (and Sencha architect)?


By : user3772591
Date : March 29 2020, 07:55 AM
I think the issue was by ths following , The way I do it is quite simple. Just add the mapping attribute to the model this way:
code :
{
    name: 'product.description', 
    type: 'string',
    mapping : 'product.description'
}
How could we set globally in Sencha ExtJS version 6.0.2 the timezone that we want to use?

How could we set globally in Sencha ExtJS version 6.0.2 the timezone that we want to use?


By : Luigi Rabbolini
Date : March 29 2020, 07:55 AM
will be helpful for those in need Just like ExtJS doesn't really support internationalization, it doesn't support time zones.
We searched the internet and also stumbled upon MomentJS. But as you found out, you can then start to rewrite nearly everything in ExtJS that handles dates: You need a datetimewzonepicker, a model field of type:'datetimewzone', a datetimewzonecolumn and so on and so forth.
Sencha extjs layout issue with chrome version 52 + Vb.net

Sencha extjs layout issue with chrome version 52 + Vb.net


By : Haydn Robinson
Date : March 29 2020, 07:55 AM
hop of those help? When I am using width in percentage or float for sencha extjs panel, then set left position and width in scientific notation by sencha extjs. Also i used extjs with Vb.net framework. , changed bellow function in ext-all-debug.js
code :
beforeSetPosition: function (x, y, animate) {
    var pos, x0;

    //change start here
    x = parseInt(x);
    y = parseInt(y);
    //change end here        

    if (!x || Ext.isNumber(x)) {
        pos = { x: x, y : y, anim: animate };
    } else if (Ext.isNumber(x0 = x[0])) { 
        pos = { x : x0, y : x[1], anim: y };
    } else {
        pos = { x: x.x, y: x.y, anim: y }; 
    }

    pos.hasX = Ext.isNumber(pos.x);
    pos.hasY = Ext.isNumber(pos.y);


    this.x = pos.x;
    this.y = pos.y;

    return (pos.hasX || pos.hasY) ? pos : null;
},
beforeSetPosition: function (x, y, animate) {
    var pos, x0;

    if (!x || Ext.isNumber(x)) {
        pos = { x: x, y : y, anim: animate };
    } else if (Ext.isNumber(x0 = x[0])) { 
        pos = { x : x0, y : x[1], anim: y };
    } else {
        pos = { x: x.x, y: x.y, anim: y }; 
    }

    pos.hasX = Ext.isNumber(pos.x);
    pos.hasY = Ext.isNumber(pos.y);


    this.x = pos.x;
    this.y = pos.y;

    return (pos.hasX || pos.hasY) ? pos : null;
},
How i can update extjs framework version in Sencha Architect for my application?

How i can update extjs framework version in Sencha Architect for my application?


By : user3090501
Date : March 29 2020, 07:55 AM
This might help you You have to edit the .xds file manually. Apparently there is no way to upgrade from previous versions to ExtJS 6.7 in Architect itself.
The manual process is described on
Recommended subset of files to version control when generating an ExtJs app with sencha-cmd

Recommended subset of files to version control when generating an ExtJs app with sencha-cmd


By : l3rnao
Date : March 29 2020, 07:55 AM
shadow
Privacy Policy - Terms - Contact Us © ourworld-yourmove.org